org.apache.http.impl.cookie

## Class AbstractCookieAttributeHandler

- java.lang.Object
- - org.apache.http.impl.cookie.AbstractCookieAttributeHandler

All Implemented Interfaces:
  CookieAttributeHandler

Direct Known Subclasses:
  BasicCommentHandler, BasicExpiresHandler, BasicMaxAgeHandler, BasicSecureHandler, BrowserCompatVersionAttributeHandler, LaxExpiresHandler, LaxMaxAgeHandler, RFC2109VersionHandler

    @Contract(threading=IMMUTABLE)
    public abstract class AbstractCookieAttributeHandler
    extends Object
    implements CookieAttributeHandler

Since:
  4.0

### Constructor Summary

Constructors
Constructor and Description
`AbstractCookieAttributeHandler()`

### Method Summary

Methods
`boolean` `match(Cookie cookie, CookieOrigin origin)` Matches the given value (property of the destination host where request is being submitted) with the corresponding cookie attribute.
`void` `validate(Cookie cookie, CookieOrigin origin)` Peforms cookie validation for the given attribute value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.http.cookie.CookieAttributeHandler

`parse`

### Constructor Detail

#### AbstractCookieAttributeHandler

    public AbstractCookieAttributeHandler()

### Method Detail

#### validate

    public void validate(Cookie cookie,
                CookieOrigin origin)
                  throws MalformedCookieException

Description copied from interface: `CookieAttributeHandler`
Peforms cookie validation for the given attribute value.

Specified by:
  `validate` in interface `CookieAttributeHandler`
Parameters:
  `cookie` - `Cookie` to validate
  `origin` - the cookie source to validate against
Throws:
  `MalformedCookieException` - if cookie validation fails for this attribute

#### match

    public boolean match(Cookie cookie,
                CookieOrigin origin)

Description copied from interface: `CookieAttributeHandler`
Matches the given value (property of the destination host where request is being submitted) with the corresponding cookie attribute.

Specified by:
  `match` in interface `CookieAttributeHandler`
Parameters:
  `cookie` - `Cookie` to match
  `origin` - the cookie source to match against
Returns:
  `true` if the match is successful; `false` otherwise